/**
 * Die Klasse EinkaufTest implementiert einen speziellen PsychoTest. 
 * 
 * @author Henning Ainödhofer
 * @version 19.01.2018
 */
public class EinkaufTest extends PsychoTest
{
    /**
     * Konstruktor für Objekte der Klasse EinkaufTest
     */
    public EinkaufTest()
    {
        super();
    }
    
    /**
     * Diese Methode ruft die Fragen und abschließend die Auswertung auf...
     */
    public void spielen()
    {
        System.out.println("Hallo du! Bitte gib deinen Namen ein...");
        name = sc.next();
        System.out.println("Hallo "+name+", schön das du diesen Test machen möchtest. Los geht's!");
        System.out.println("Um den Test zu machen, musst du nach jeder Frage einen Antwortnummer eingeben.");
        System.out.println("---------------------------------------------------------------------");
        frage1();
        frage2();
        //...weitere Fragen...
        auswerten();
    }
    
    /**
     * Die Fragemethoden werde aus der Methode spielen() heraus aufgerufen. Sie stellen die Frage und geben Antwortmöglichkeiten. Die Antwort wird in einer 
     * lokalen Variable gespeichert. Mit Hilfe von Verzweigungen kann man nun implementieren, bei welcher Antwort man wie viele Punkte bekommt. Hier ein Beispiel...
     */
    private void frage1()
    {
        System.out.println("-------------------------------Frage 1-------------------------------");
        System.out.println("Du gehst einkaufen. Wen nimmst du mit?");
        System.out.println("1: niemanden, ich gehe immer alleine einkaufen!");
        System.out.println("2: meine beste Freundin/meinen besten Freund, ist doch klar!");
        System.out.println("3: meine Schwester/meinen Bruder, der kann mich am besten beraten!");
        System.out.println("4: meine Eltern, damit sie die Sachen bezahlen können ;-)!");
        int antwort = sc.nextInt();
        if(antwort == 1)
        {
            punktzahl = punktzahl + 0;
        }
        else
        {
            if(antwort == 2)
            {
                punktzahl = punktzahl + 6;
            }
            else
            {
                if(antwort == 3)
                {
                    punktzahl = punktzahl + 4;
                }
                else
                {
                    punktzahl = punktzahl + 2;
                }
            }
        }
    }
    
    /**
     * Die Fragemethoden werde aus der Methode spielen() heraus aufgerufen. Sie stellen die Frage und geben Antwortmöglichkeiten. Die Antwort wird in einer 
     * lokalen Variable gespeichert. Mit Hilfe von Verzweigungen kann man nun implementieren, bei welcher Antwort man wie viele Punkte bekommt. Hier ein Beispiel...
     */
    private void frage2()
    {
        System.out.println("-------------------------------Frage 1-------------------------------");
        System.out.println("Deine Freundin/dein Freund den du zum Shoppen mitgenommen hast, fragt dich, ob du ein eher häßliches T-Shirt gut findest und sie/er es sich kaufen soll? Was antowrtes du?");
        System.out.println("1: Nimm das nicht, dass sieht kacke aus!");
        System.out.println("2: Naja, also ich weiß nicht? Probier lieber nochmal was anderes!");
        System.out.println("3: Wenn du meinst?! Also ich würde mir das nicht kaufen!");
        System.out.println("4: Oh ja, gute Wahl! Das steht dir total super!");
        int antwort = sc.nextInt();
        
        switch(antwort)
        {
            case 1:
            {
                punktzahl = punktzahl + 2;
                break;
            }
            case 2:
            {
                punktzahl = punktzahl + 6;
                break;
            }
            case 3:
            {
                punktzahl = punktzahl + 4;
                break;
            }
            case 4:
            {
                punktzahl = punktzahl + 0;
                break;
            }
            default:
            {
                punktzahl = punktzahl + 0;
                break;
            }
        }
    }
    
    /**
     * Aufgrund des Attributwertes in punktzahl wird entschieden, welche ausgabeStufe als Methode aufgerufen wird.
     */
    protected void auswerten()
    {
        if(punktzahl > 8)
        {
            ausgabeStufe1();
        }
        else if(punktzahl <= 8 && punktzahl >=4 )
        {
            ausgabeStufe2();
        }
        else if(punktzahl < 4)
        {
            ausgabeStufe3();
        }
    }
    
    /**
     * Diese Methode wird durch die Methode auswerten aufgerufen, wenn der Benutzer eine 
     * entsprechende Punktzahl erreicht hat.
     */
    protected void ausgabeStufe1()
    {
        System.out.println("hier muss dann ein passender Text geschrieben werden...");
    }
    
    /**
     * Diese Methode wird durch die Methode auswerten aufgerufen, wenn der Benutzer eine 
     * entsprechende Punktzahl erreicht hat.
     */
    protected void ausgabeStufe2()
    {
        System.out.println("hier muss dann ein passender Text geschrieben werden...");
    }
    
    /**
     * Diese Methode wird durch die Methode auswerten aufgerufen, wenn der Benutzer eine 
     * entsprechende Punktzahl erreicht hat.
     */
    protected void ausgabeStufe3()
    {
        System.out.println("hier muss dann ein passender Text geschrieben werden...");
    }
}
