import java.util.Scanner;
/**
 * Die Klasse Psychotest implementiert einen Test, der am Ende eine Bewertung 
 * der Eingaben ausgibt.
 * 
 * @author Henning Ainödhofer
 * @version 19.01.2018
 */
public abstract class PsychoTest
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    protected int punktzahl;
    protected String name;
    protected Scanner sc;

    /**
     * Konstruktor für Objekte der Klasse PsychoTest
     */
    public PsychoTest()
    {
        punktzahl = 0;
        sc = new Scanner(System.in);
    }

    /**
     * Diese Methode ruft die Fragen und abschließend die Auswertung auf...
     */
    public abstract void spielen();
        
    /**
     * Aufgrund des Attributwertes in punktzahl wird entschieden, welche ausgabeStufe als Methode aufgerufen wird.
     */
    protected abstract void auswerten();
    
    protected abstract void ausgabeStufe1();
 
    protected abstract void ausgabeStufe2();
  
    protected abstract void ausgabeStufe3();
}
